Bug 249924 - tradcpp0 does not exist for gcc32
tradcpp0 does not exist for gcc32
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: compat-gcc-32 (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2007-07-27 20:41 EDT by Ken Takusagawa
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-19 12:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Takusagawa 2007-07-27 20:41:29 EDT
Description of problem:

The "-traditional" and "-traditional-cpp" switches cause an error with gcc32.

Version-Release number of selected component (if applicable):

$ rpm -q compat-gcc-32

How reproducible:

Every time

Steps to Reproduce:

$ echo "main(){}" > foo.c

$ gcc32 -traditional-cpp foo.c 

Actual results:

gcc32: installation problem, cannot exec `tradcpp0': No such file or directory

Expected results:

successful compilation, e.g., "gcc -traditional-cpp foo.c"

Additional info:

This is the same as bug 193144, except I still care that this bug is fixed.
(I am unable to reopen that bug.)
Comment 1 Jakub Jelinek 2007-07-28 04:15:20 EDT
Can you explain why you can't use gcc -traditional-cpp foo.c instead?
Comment 2 Ken Takusagawa 2007-07-29 02:29:33 EDT
I wish to build libraries for the gcc 3.2/3.3 ABI.
Comment 3 Jakub Jelinek 2007-09-19 12:36:38 EDT
The C ABI is the same.

Note You need to log in before you can comment on or make changes to this bug.